package com.jay.monitor.data.server.models.request.trace;

import com.jay.monitor.data.server.anno.ESSearch;

import javax.persistence.Column;
import java.util.Date;

/**
 * @Module mq请求参数
 * @Description mq请求参数
 * @Author liukaixiong
 * @Date 2021/1/12 16:46
 */
public class MQRequest extends PageRequest {

    /**
     * 主键名称
     */
    @Column
    private Integer id;

    /**
     * mq类型
     */
    @ESSearch
    private String mqType;

    /**
     * 执行类型  producer/consumer
     */
    @ESSearch
    private String invokeType;

    /**
     * 订阅主题
     */
    @ESSearch
    private String topic;

    /**
     * 分区名称
     */
    @ESSearch
    private String partitionName;

    /**
     * 消息编号
     */
    @ESSearch
    private String msgId;

    /**
     * 根日志编号
     */
    @ESSearch
    private String rootLogId;

    /**
     * 上级日志编号
     */
    @ESSearch
    private String parentLogId;

    /**
     * 日志编号
     */
    @ESSearch
    private String logId;

    /**
     * 数据来源时间
     */
    @ESSearch
    private Date sourceTime;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getMqType() {
        return mqType;
    }

    public void setMqType(String mqType) {
        this.mqType = mqType;
    }

    public String getInvokeType() {
        return invokeType;
    }

    public void setInvokeType(String invokeType) {
        this.invokeType = invokeType;
    }

    public String getTopic() {
        return topic;
    }

    public void setTopic(String topic) {
        this.topic = topic;
    }

    public String getPartitionName() {
        return partitionName;
    }

    public void setPartitionName(String partitionName) {
        this.partitionName = partitionName;
    }

    public String getMsgId() {
        return msgId;
    }

    public void setMsgId(String msgId) {
        this.msgId = msgId;
    }

    public String getRootLogId() {
        return rootLogId;
    }

    public void setRootLogId(String rootLogId) {
        this.rootLogId = rootLogId;
    }

    public String getParentLogId() {
        return parentLogId;
    }

    public void setParentLogId(String parentLogId) {
        this.parentLogId = parentLogId;
    }

    public String getLogId() {
        return logId;
    }

    public void setLogId(String logId) {
        this.logId = logId;
    }

    public Date getSourceTime() {
        return sourceTime;
    }

    public void setSourceTime(Date sourceTime) {
        this.sourceTime = sourceTime;
    }
}
